Summary: Various tools for CDs and ISO filesystems
Name:    cdrtools
Version: 2.01
Release: 1tr
License: GPL
Group: Trustix Official
Source:  ftp://ftp.berlios.de/pub/cdrecord/cdrtools-%{version}.tar.bz2
URL:     http://www.fokus.fhg.de/research/cc/glone/employees/joerg.schilling/private/cdrecord.html
Buildroot: %{_tmppath}/%{name}-%{version}-root


%description 
This package contains all the additional utilities included in cdrtools,
except for cdrecord and mkisofs and cdda2wav. This have separate
packages.

This tools will not be needed to create or burn cd images. But will help
with debugging CD recorder and ISO image related problems.


%package -n cdrecord
Summary: a tool for burning cds
Group: Trustix Official

%description -n cdrecord
Cdrecord creates home-burned CDs with a CD-R/CD-RW recorder. It works as a burn
engine for several applications. It supports CD recorders from many
different vendors; all SCSI-3/mmc and ATAPI/mmc compliant drives should also
work. Supported features include IDE/ATAPI, parallel-port, and SCSI drives,
audio CDs, data CDs, and mixed CDs, full multi- session support, CD-RWs
(rewritable), TAO, DAO and human-readable error messages. 

Cdrecord includes remote SCSI support and can access local or remote
CD-writers.
 

%package -n mkisofs
Summary: a tool for creating cd images
Group: Trustix Official

%description -n mkisofs
mkisofs is effectively a pre-mastering program to generate an
ISO9660/JOLIET/HFS  hybrid filesystem.


%package -n cdda2wav
Summary: a tool for reading digital audio data from music cds
Group: Trustix Official

%description -n cdda2wav
cdda2wav can retrieve audio tracks from CDROM drives that are capable of
reading audio data digitally to the host (CDDA).


%package devel
Summary: Development files for cdrtools 
Group: Trustix Official

%description devel
You may want to install this package if you are to develop applications 
based on the cdrtool framework.


%prep
%setup -q -n cdrtools-%{version}


%build
make


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make INS_BASE=$RPM_BUILD_ROOT/usr install

mkdir $RPM_BUILD_ROOT/usr/share 
mv $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT/usr/share
strip $RPM_BUILD_ROOT/usr/bin/*
strip $RPM_BUILD_ROOT/usr/sbin/*

# Remove setuid bit
chmod -s $RPM_BUILD_ROOT/usr/sbin/*

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
/usr/bin/devdump
/usr/bin/isodump
/usr/bin/isoinfo
/usr/bin/isovfy
/usr/bin/isodebug
/usr/bin/readcd
/usr/bin/scgcheck
/usr/share/man/man1/readcd.1.gz
/usr/share/man/man1/scgcheck.1.gz
/usr/share/man/man8/isoinfo.8.gz

%files -n cdrecord
%defattr(-,root,root)
%doc README.linux README README.ATAPI README.WORM README.audio README.cdplus
%doc README.cdrw README.copy README.linux-shm README.mkisofs README.multi
%doc README.parallel README.rscsi README.sony README.verify README.volmgt
%doc README.raw README.cdtext README.DiskT@2
%doc AN-2.0 COPYING Changelog
/usr/bin/cdrecord
/usr/sbin/rscsi
/usr/share/man/man1/cdrecord.1.gz

%files -n mkisofs
%defattr(-,root,root)
%doc mkisofs/README mkisofs/README.eltorito mkisofs/README.session
%doc mkisofs/README.sparcboot mkisofs/README.graft_dirs mkisofs/README.sort
%doc mkisofs/README.hfs_boot mkisofs/README.hfs_magic mkisofs/README.mkhybrid
%doc mkisofs/README.prep_boot mkisofs/README.rootinfo mkisofs/README.joliet
%doc mkisofs/README.hide mkisofs/README.compression
%doc mkisofs/ChangeLog mkisofs/ChangeLog.mkhybrid
/usr/bin/mkhybrid
/usr/bin/mkisofs
/usr/share/man/man8/mkisofs.8.gz
/usr/share/man/man8/mkhybrid.8.gz

%files -n cdda2wav
%defattr(-,root,root)
%doc cdda2wav/Changelog cdda2wav/FAQ cdda2wav/Frontends cdda2wav/GPL
%doc cdda2wav/HOWTOUSE cdda2wav/README cdda2wav/THANKS cdda2wav/TODO
/usr/bin/cdda2wav
/usr/share/man/man1/cdda2wav.1.gz

%files devel
%defattr(-,root,root)
%doc libparanoia/README.interface libparanoia/README.paranoia libedc/README
/usr/lib/*.a
/usr/include/*.h


%changelog
* Sun Sep 19 2004 Erlend Midttun <erlendbm at trustix dot org> 2.01-1tr
- New upstream.

* Sat Feb 28 2004 Erlend Midttun <erlendbm at trustix dot org> 2.00.3-4tr
- Remove setuid bit on /usr/sbin/rscsi

* Fri Dec 12 2003 Erlend Midttun <erlendbm at trustix dot org> 2.00.3-2tr
- Rebuilt.

* Sat Aug 30 2003 Goetz Bock <bock at trustix dot org> 2.00.3-1bg
- new upstream: 2.00.3
- build for Trustix 2.0 (aka Cloud) - Contrib
- removed patch, it's nolonger needed

* Sun Jun 29 2003 Goetz Bock <bock at trustix dot org> 2.00-2bg
- splitted package: cdrecord, mkisofs, cdda2wav and cdrtools

* Sun Jun 29 2003 Goetz Bock <bock at trustix dot org> 2.00-1bg
- new upstream: 2.00
- make zisofs work

* Sun Jun 29 2003 Gerald Dachs <gda at trustix dot org> 1.10-8gd
- Added patch for transparent compression

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.10-7tr
- Big rebuild

* Thu Jun  5 2003 Erlend Midttun <erlendbm at trustix dot com> 1.10-6em
- Cleaned up file/directory ownership.

* Tue May 27 2003 Erlend Midttun <erlendbm at trustix dot com> 1.10-5em
- Cleaned up PreReq's and added %defattr instead.

* Fri May  2 2003 Christian H. Toldnes <christht at trustix dot com> 1.10-4ct
- Added PreReq on setup in main package

* Wed Apr  9 2003 Gerald Dachs <gda at trustix dot org> 1.10-3gd
- Added PreReq on setup in devel package

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.10-2em
- Rebuilt against glibc 2.3.2.

* Mon Jul  8 2002 Christian H. Toldnes <christht at trustix dot com>
- Initial release for TSL 2.0
- Provides/obsoletes mkisofs
- Split into -devel
